Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.scope
Class ScopeRegistrar

    java.lang.Object
      org.springframework.webflow.scope.ScopeRegistrar

All Implemented Interfaces:
  org.springframework.beans.factory.config.BeanFactoryPostProcessor, org.springframework.core.Ordered

    public class ScopeRegistrar

extends java.lang.Object
implements org.springframework.beans.factory.config.BeanFactoryPostProcessor, org.springframework.core.Ordered

Registers the Spring Web Flow bean scopes with a `ConfigurableListableBeanFactory`.

Author:
  Ben Hale
See Also:
  `Scope`

Field Summary

Fields inherited from interface org.springframework.core.Ordered
`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

Constructor Summary
`ScopeRegistrar()`

Method Summary
`int` | `getOrder()`
`void` | `postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScopeRegistrar

    public ScopeRegistrar()

Method Detail

### postProcessBeanFactory

    public void postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)
                                throws org.springframework.beans.BeansException

  Specified by:
    `postProcessBeanFactory` in interface `org.springframework.beans.factory.config.BeanFactoryPostProcessor`
  Throws:
    `org.springframework.beans.BeansException`

### getOrder

    public int getOrder()

  Specified by:
    `getOrder` in interface `org.springframework.core.Ordered`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD